ComRaidComRaid Docs
API referenceSegments

Restore archived segment

Restores an archived Segment. If another active Segment already has the same name, returns 409 `segment_name_taken`.

POST
/segments/{id}/restore

Restores an archived Segment. If another active Segment already has the same name, returns 409 segment_name_taken.

Authorization

bearerAuth
headerAuthorizationBearer <API key>

Project API key (cr_sk_...)

Path Parameters

id*string
Formatuuid

Response Body

Restored

application/json
  1. response
segment_id*string
Formatuuid
status*string
Value in"active""archived"
updated_at*string
Formatdate-time
Example Request
curl -X POST 'https://api.comraid.io/segments/497f6eca-6276-4993-bfeb-53cbbbba6f08/restore'
Example Response
{  "segment_id": "0dbbf761-5b2d-4647-8bfa-2b714456749c",  "status": "active",  "updated_at": "2019-08-24T14:15:22Z"}